com.corticon.eclipse.studio.deployment.swing

## Interface ICcDeploy

-     public interface ICcDeploy

  `ICcDeploy` allows client programs to invoke services related to deployment of Decision Services.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateDecisionServiceWSDLContract(java.lang.String astrRuleAssetPath, java.lang.String astrServiceName, java.lang.String astrMsgStructStyle, java.lang.String astrOutputPath, java.lang.String astrSoapBindingUrl)` Generates an WSDL Service Contract at a RuleAsset level with the "Work Document" entity specified inside the RuleAsset.
    `void` | `generateDecisionServiceXmlSchemaContract(java.lang.String astrRuleAssetPath, java.lang.String astrServiceName, java.lang.String astrMsgStructStyle, java.lang.String astrOutputPath)` Generates an WSDL Service Contract at a RuleAsset level with the "Work Document" entity specified inside the RuleAsset.
    `void` | `generateVocabularyWSDLContract(java.lang.String astrVocabPath, java.lang.String astrWorkDocEntity, java.lang.String astrMsgStructStyle, java.lang.String astrOutputPath, java.lang.String astrSoapBinding)` Generates an WSDL Service Contract at a Vocabulary level with the specified "Work Document" entity.
    `void` | `generateVocabularyXmlSchemaContract(java.lang.String astrVocabPath, java.lang.String astrWorkDocEntity, java.lang.String astrMsgStructStyle, java.lang.String astrOutputPath)` Generates an XML Schema (XSD) Service Contract at a Vocabulary level with the specified "Work Document" entity.
    `java.lang.String` | `precompileDecisionService(java.lang.String astrRuleflowPath, java.lang.String astrDecisionServiceName, java.lang.String astrOutputPath, boolean abOverwriteFile)` Pre-compiles the give Ruleflow into a deployment unit (EDS) which is written to the output directory.
    `java.lang.String` | `precompileDecisionService(java.lang.String astrRuleflowPath, java.lang.String astrDecisionServiceName, java.lang.String astrOutputPath, java.lang.String astrDatabaseAccessMode, boolean abOverwriteFile)` Pre-compiles the give Ruleflow into a deployment unit (EDS) which is written to the output directory.
    `java.lang.String` | `precompileDecisionService(java.lang.String astrRuleflowPath, java.lang.String astrDecisionServiceName, java.lang.String astrOutputPath, java.lang.String astrDatabaseAccessMode, boolean abOverwriteFile, java.util.Set<java.lang.String> asetDependentJars, java.util.Set<java.lang.String> asetIncludedJars)` Pre-compiles the give Ruleflow into a deployment unit (EDS) which is written to the output directory.

- - ### Method Detail

    - #### generateDecisionServiceWSDLContract

          void generateDecisionServiceWSDLContract(java.lang.String astrRuleAssetPath,
                                                 java.lang.String astrServiceName,
                                                 java.lang.String astrMsgStructStyle,
                                                 java.lang.String astrOutputPath,
                                                 java.lang.String astrSoapBindingUrl)
                                                   throws CcDeployFileOrDirNotFoundException,
                                                          CcDeployInvalidArgumentException,
                                                          CcDeployInvalidDecisionServiceException

      Generates an WSDL Service Contract at a RuleAsset level with the "Work Document" entity specified inside the RuleAsset.
      Parameters:
        `astrRuleAssetPath` - - path to the Ruleflow .erf or pre-compiled .eds file containing the Decision Service rules.
        `astrMsgStructStyle` - - type of XML Message used for the payload containing business object data. One of three values: XML_FLAT_STYLE, XML_HIER_STYLE, XML_STYLE_AUTODETECT
        `astrOutputPath` - - path to directory where the Service Contract is written to.
      Throws:
        `CcDeployFileOrDirNotFoundException`
        `CcDeployInvalidArgumentException`
        `CcDeployInvalidDecisionServiceException`
      See Also:
        `com.corticon.service.ccserver.ICcServer#XML_FLAT_STYLE`, `com.corticon.service.ccserver.ICcServer#XML_HIER_STYLE`, `com.corticon.service.ccserver.ICcServer#XML_STYLE_AUTODETECT`

    - #### generateDecisionServiceXmlSchemaContract

          void generateDecisionServiceXmlSchemaContract(java.lang.String astrRuleAssetPath,
                                                      java.lang.String astrServiceName,
                                                      java.lang.String astrMsgStructStyle,
                                                      java.lang.String astrOutputPath)
                                                        throws CcDeployFileOrDirNotFoundException,
                                                               CcDeployInvalidArgumentException,
                                                               CcDeployInvalidDecisionServiceException

      Generates an WSDL Service Contract at a RuleAsset level with the "Work Document" entity specified inside the RuleAsset.
      Parameters:
        `astrRuleAssetPath` - - path to the Ruleflow .erf or pre-compiled .eds file containing the Decision Service rules.
        `astrMsgStructStyle` - - type of XML Message used for the payload containing business object data. One of three values: XML_FLAT_STYLE, XML_HIER_STYLE, XML_STYLE_AUTODETECT
        `astrOutputPath` - - path to directory where the Service Contract is written to.
      Throws:
        `CcDeployFileOrDirNotFoundException`
        `CcDeployInvalidArgumentException`
        `CcDeployInvalidDecisionServiceException`
      See Also:
        `com.corticon.service.ccserver.ICcServer#XML_FLAT_STYLE`, `com.corticon.service.ccserver.ICcServer#XML_HIER_STYLE`, `com.corticon.service.ccserver.ICcServer#XML_STYLE_AUTODETECT`

    - #### generateVocabularyWSDLContract

          void generateVocabularyWSDLContract(java.lang.String astrVocabPath,
                                            java.lang.String astrWorkDocEntity,
                                            java.lang.String astrMsgStructStyle,
                                            java.lang.String astrOutputPath,
                                            java.lang.String astrSoapBinding)
                                              throws CcDeployFileOrDirNotFoundException,
                                                     CcDeployInvalidArgumentException,
                                                     CcDeployInvalidDecisionServiceException

      Generates an WSDL Service Contract at a Vocabulary level with the specified "Work Document" entity. Typically, a Vocabulary-driven Service Contract defines the work document flowing through an entire business process.
      Parameters:
        `astrVocabPath` - - path to the Vocabulary .ecore file.
        `astrWorkDocEntity` - - Deprecated feature. This argument will be ignored when processing WSDL
        `astrMsgStructStyle` - - type of XML Message used for the payload containing business object data. One of three values: XML_FLAT_STYLE, XML_HIER_STYLE, XML_STYLE_AUTODETECT
        `astrOutputPath` - - path to directory where the Service Contract is written to.
        `astrSoapBinding` - - the SOAP Binding URL to be included in the WSDL definition
      Throws:
        `CcDeployFileOrDirNotFoundException`
        `CcDeployInvalidArgumentException`
        `CcDeployInvalidDecisionServiceException`
      See Also:
        `com.corticon.service.ccserver.ICcServer#XML_FLAT_STYLE`, `com.corticon.service.ccserver.ICcServer#XML_HIER_STYLE`, `com.corticon.service.ccserver.ICcServer#XML_STYLE_AUTODETECT`

    - #### generateVocabularyXmlSchemaContract

          void generateVocabularyXmlSchemaContract(java.lang.String astrVocabPath,
                                                 java.lang.String astrWorkDocEntity,
                                                 java.lang.String astrMsgStructStyle,
                                                 java.lang.String astrOutputPath)
                                                   throws CcDeployFileOrDirNotFoundException,
                                                          CcDeployInvalidArgumentException,
                                                          CcDeployInvalidDecisionServiceException

      Generates an XML Schema (XSD) Service Contract at a Vocabulary level with the specified "Work Document" entity. Typically, a Vocabulary-driven Service Contract defines the work document flowing through an entire business process.
      Parameters:
        `astrVocabPath` - - path to the Vocabulary .ecore file.
        `astrWorkDocEntity` - - Deprecated feature. This argument will be ignored when processing Schema
        `astrMsgStructStyle` - - type of XML Message used for the payload containing business object data. One of three values: XML_FLAT_STYLE, XML_HIER_STYLE, XML_STYLE_AUTODETECT
        `astrOutputPath` - - path to directory where the Service Contract is written to.
      Throws:
        `CcDeployFileOrDirNotFoundException`
        `CcDeployInvalidArgumentException`
        `CcDeployInvalidDecisionServiceException`
      See Also:
        `com.corticon.service.ccserver.ICcServer#XML_FLAT_STYLE`, `com.corticon.service.ccserver.ICcServer#XML_HIER_STYLE`, `com.corticon.service.ccserver.ICcServer#XML_STYLE_AUTODETECT`

    - #### precompileDecisionService

          java.lang.String precompileDecisionService(java.lang.String astrRuleflowPath,
                                                   java.lang.String astrDecisionServiceName,
                                                   java.lang.String astrOutputPath,
                                                   boolean abOverwriteFile)
                                                     throws CcDeployFileOrDirNotFoundException,
                                                            CcDeployInvalidArgumentException,
                                                            CcDeployInvalidDecisionServiceException

      Pre-compiles the give Ruleflow into a deployment unit (EDS) which is written to the output directory.
      Parameters:
        `astrRuleflowPath` - - path to the Ruleflow .erf file.
        `astrDecisionServiceName` - – logical name of the Decision Service
        `astrOutputPath` - - path to directory where the EDS file is written to
        `abOverwriteFile` - – if true, overwrites existing EDS file should a name conflict occur - if false, throws CcDeployFileOrDirNotFoundException should a name conflict occur
      Returns:
        fully qualified path to the newly generated EDS file
      Throws:
        `CcDeployFileOrDirNotFoundException`
        `CcDeployInvalidArgumentException`
        `CcDeployInvalidDecisionServiceException`

    - #### precompileDecisionService

          java.lang.String precompileDecisionService(java.lang.String astrRuleflowPath,
                                                   java.lang.String astrDecisionServiceName,
                                                   java.lang.String astrOutputPath,
                                                   java.lang.String astrDatabaseAccessMode,
                                                   boolean abOverwriteFile)
                                                     throws CcDeployFileOrDirNotFoundException,
                                                            CcDeployInvalidArgumentException,
                                                            CcDeployInvalidDecisionServiceException

      Pre-compiles the give Ruleflow into a deployment unit (EDS) which is written to the output directory.
      Parameters:
        `astrRuleflowPath` - - path to the Ruleflow .erf file.
        `astrDecisionServiceName` - – logical name of the Decision Service
        `astrDatabaseAccessMode` - – String which will be the Database Access Mode to be used by Rule Builder to optimize the rules
        `astrOutputPath` - - path to directory where the EDS file is written to
        `abOverwriteFile` - – if true, overwrites existing EDS file should a name conflict occur - if false, throws CcDeployFileOrDirNotFoundException should a name conflict occur
      Returns:
        fully qualified path to the newly generated EDS file
      Throws:
        `CcDeployFileOrDirNotFoundException`
        `CcDeployInvalidArgumentException`
        `CcDeployInvalidDecisionServiceException`

    - #### precompileDecisionService

          java.lang.String precompileDecisionService(java.lang.String astrRuleflowPath,
                                                   java.lang.String astrDecisionServiceName,
                                                   java.lang.String astrOutputPath,
                                                   java.lang.String astrDatabaseAccessMode,
                                                   boolean abOverwriteFile,
                                                   java.util.Set<java.lang.String> asetDependentJars,
                                                   java.util.Set<java.lang.String> asetIncludedJars)
                                                     throws CcDeployFileOrDirNotFoundException,
                                                            CcDeployInvalidArgumentException,
                                                            CcDeployInvalidDecisionServiceException

      Pre-compiles the give Ruleflow into a deployment unit (EDS) which is written to the output directory.
      Parameters:
        `astrRuleflowPath` - - path to the Ruleflow .erf file.
        `astrDecisionServiceName` - – logical name of the Decision Service
        `astrDatabaseAccessMode` - – String which will be the Database Access Mode to be used by Rule Builder to optimize the rules
        `astrOutputPath` - - path to directory where the EDS file is written to
        `abOverwriteFile` - – if true, overwrites existing EDS file should a name conflict occur - if false, throws CcDeployFileOrDirNotFoundException should a name conflict occur
        `asetDependentJars` - - set of jars that are needed to compile the Ruleflow
        `asetIncludedJars` - - set of jars that will be added to the compiled .eds file
      Returns:
        fully qualified path to the newly generated EDS file
      Throws:
        `CcDeployFileOrDirNotFoundException`
        `CcDeployInvalidArgumentException`
        `CcDeployInvalidDecisionServiceException`

Copyright © 2005-2017 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.